Bug 255325 - net-im/gajim effected by outdated devel/py-importlib-metadata-3.6
Summary: net-im/gajim effected by outdated devel/py-importlib-metadata-3.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on: 255050
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-22 10:42 UTC by Alastair Hogge
Modified: 2021-05-08 01:57 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (rm)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alastair Hogge 2021-04-22 10:42:55 UTC
$ gajim
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (importlib-metadata 3.3.0 (/usr/local/lib/python3.7/site-packages), Requirement.parse('importlib_metadata>=3.6'), {'keyring'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/gajim", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3251, in <module>
    @_call_aside
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'importlib_metadata>=3.6' distribution was not found and is required by keyring

Fix at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255237
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2021-04-22 10:55:37 UTC
Thanks. It seems it was introduced in PR 254895
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2021-04-22 10:56:28 UTC
It would be resolved automatically after handling of PR 255237.
Comment 3 Steve Wills freebsd_committer 2021-05-07 13:01:39 UTC
I think this should be fixed now, please verify.
Comment 4 Alastair Hogge 2021-05-08 01:57:59 UTC
Confirmed fixed: 
https://cgit.freebsd.org/ports/commit?id=f043e2bdfd2063a32f59a9100cfc80bd3a580f7a

Thanks :-)